Package es.imim.DISGENET.internal.annotation

# Class AnnotateVariantsTask

java.lang.Object
org.cytoscape.work.AbstractTask
es.imim.DISGENET.internal.annotation.AnnotateVariantsTask

All Implemented Interfaces:
  `org.cytoscape.work.Task`

public class AnnotateVariantsTask extends org.cytoscape.work.AbstractTask

## Field Summary

Fields
Modifier and Type
Field
Description
`org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>>`
`columnNames`
`org.cytoscape.work.util.ListSingleSelection<String>`
`diseaseClasses`
`Double`
`maxScoreRange`
`Double`
`minScoreRange`
`org.cytoscape.work.util.ListSingleSelection<String>`
`sources`

### Fields inherited from class org.cytoscape.work.AbstractTask

`cancelled`

## Constructor Summary

Constructors
Constructor
Description
`AnnotateVariantsTask(org.cytoscape.view.model.CyNetworkView cyNetworkView, String source)`

## Method Summary

Modifier and Type
Method
Description
`String`
`buildSearchField()`
`void`
`run(org.cytoscape.work.TaskMonitor taskMonitor)`

### Methods inherited from class org.cytoscape.work.AbstractTask

`cancel, getTaskIterator, insertTasksAfterCurrentTask, insertTasksAfterCurrentTask, setTaskIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### columnNames

public org.cytoscape.work.util.ListSingleSelection<Callable<org.cytoscape.model.CyColumn>> columnNames

### sources

public org.cytoscape.work.util.ListSingleSelection<String> sources

### diseaseClasses

public org.cytoscape.work.util.ListSingleSelection<String> diseaseClasses

### minScoreRange

public Double minScoreRange

### maxScoreRange

public Double maxScoreRange

## Constructor Details

### AnnotateVariantsTask

public AnnotateVariantsTask(org.cytoscape.view.model.CyNetworkView cyNetworkView, String source)

## Method Details

### buildSearchField

public String buildSearchField() throws DisGeNetException

Throws:
  `DisGeNetException`

### run

public void run(org.cytoscape.work.TaskMonitor taskMonitor) throws Exception

Specified by:
  `run` in interface `org.cytoscape.work.Task`
Specified by:
  `run` in class `org.cytoscape.work.AbstractTask`
Throws:
  `Exception`